version: '3.8'
name : apo-campania-landing-frontend
services:
  app-dev:
    container_name: apo-campania-landing-dev
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "3007:3000"
    env_file:
      - .env
    networks:
      - apo-campania-landing-frontend-network
    restart: always
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:3007"]
      interval: 30s
      timeout: 10s
      retries: 3
      start_period: 40s

networks:
  apo-campania-landing-frontend-network:
    driver: bridge
    name: apo-campania-landing-network